Package org.eclipse.m2m.atl.emftvm.util

# Class ClassModuleResolver

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.ClassModuleResolver

All Implemented Interfaces:
  `ModuleResolver`

public class ClassModuleResolver extends Object implements ModuleResolver
`ModuleResolver` based on `Class.getResourceAsStream(String)`.

## Constructor Summary

Constructors
Constructor
Description
`ClassModuleResolver(Class<?> clazz)`
Creates a new `ClassModuleResolver`.

## Method Summary

Modifier and Type
Method
Description
`Module`
`resolveModule(String module)`
Resolves the module with the given

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassModuleResolver

public ClassModuleResolver(Class<?> clazz)
Creates a new `ClassModuleResolver`.

Parameters:
  `clazz` - the `Class` to use for resource loading

## Method Details

### resolveModule

public Module resolveModule(String module) throws ModuleNotFoundException
Resolves the module with the given

    name

.

Specified by:
  `resolveModule` in interface `ModuleResolver`
Parameters:
  `module` - the module name
Returns:
  the module with the given name
Throws:
  `ModuleNotFoundException`